Перейти к основному содержимому

GET /api/v1/comments/{id}/replies

Returns all replies to a specific comment. If authenticated, each reply includes the current user's reaction.

Authentication

Optional. When authenticated, user_reaction is populated on each reply.

Request

Path Parameters

ParameterTypeRequiredDescription
idintegerYesParent comment ID
limitintegerNoMax replies (default: 50, max: 100)
offsetintegerNoNumber to skip (default: 0)

Example

curl -X GET "https://intotes.com/api/v1/comments/1/replies?limit=50"

Response

200 OK

Returns an object with comments array of reply Comment objects.

{
"comments": [
{
"id": 10,
"event_id": 42,
"user_id": 22,
"parent_id": 1,
"content": "Totally agree with your analysis",
"likes_count": 3,
"dislikes_count": 0,
"replies_count": 0,
"created_at": "2026-04-04T10:15:00Z",
"user": {
"id": 22,
"name": "analyst99",
"nickname": "analyst99",
"profile_hidden": false,
"avatar_url": "https://cdn.intotes.com/avatars/22.jpg"
},
"user_reaction": null
}
]
}

Errors

StatusCodeDescription
404not_foundParent comment not found
500internal_errorServer failed to retrieve replies